#ifndef EXTIO_SA_H
#define EXTIO_SA_H

#include "LC_ExtIO_Types.h"

#define EXT_API __declspec(dllexport)

#ifdef __cplusplus 
extern "C" { 
#endif

EXT_API bool __stdcall InitHW(char *name, char *model, int &hwtype);
EXT_API bool __stdcall OpenHW();
EXT_API void __stdcall CloseHW();
EXT_API int __stdcall StartHW64(int64_t extLOfreq);
EXT_API void __stdcall StopHW();
EXT_API void __stdcall SetCallback(pfnExtIOCallback funcptr);
EXT_API int __stdcall SetHWLO64(int64_t extLOfreq);
EXT_API int __stdcall GetStatus();

EXT_API void __stdcall RawDataReady(long samprate, void *Ldata, void *Rdata, int numsamples);
EXT_API long __stdcall GetHWLO();             
EXT_API long __stdcall GetHWSR();

EXT_API int __stdcall GetAttenuators(int idx, float *attenuation);
EXT_API int __stdcall GetActualAttIdx();
EXT_API int __stdcall SetAttenuator(int idx);

#ifdef __cplusplus
} // extern "C"
#endif

#endif